Create task output - SuperAI Flows
Create Task Output
cURL
curl --request POST \
--url https://flows.super.ai/api/task-outputs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"flow_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<unknown>",
"task_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_by": "<string>",
"output": null,
"status": "queued",
"tags": null,
"updated_at": "2023-11-07T05:31:56Z"
}
'
Python Example
import requests
url = "https://flows.super.ai/api/task-outputs"
payload = {
"flow_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<unknown>",
"task_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_by": "<string>",
"output": None,
"status": "queued",
"tags": None,
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
flow_execution_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
summary: '<unknown>',
task_name: '<string>',
created_at: '2023-11-07T05:31:56Z',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
modified_by: '<string>',
output: null,
status: 'queued',
tags: null,
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://flows.super.ai/api/task-outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/task-outputs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'flow_execution_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'organization_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'summary' => '<unknown>',
'task_name' => '<string>',
'created_at' => '2023-11-07T05:31:56Z',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'modified_by' => '<string>',
'output' => null,
'status' => 'queued',
'tags' => null,
'updated_at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/task-outputs"
payload := strings.NewReader("{\n \"flow_execution_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"organization_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"summary\": \"<unknown>\",\n \"task_name\": \"<string>\",\n \"created_at\": \"2023-11-07T05:31:56Z\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"modified_by\": \"<string>\",\n \"output\": null,\n \"status\": \"queued\",\n \"tags\": null,\n \"updated_at\": \"2023-11-07T05:31:56Z\"}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}